Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.geometry.modelloader.md2
Class MD2Header

    java.lang.Object
      de.rico.engine.geometry.modelloader.md2.MD2Header

    public class MD2Header

extends java.lang.Object

This class represents the header of a md2 model file

Author:
  Frank Bruns

Constructor Summary
`MD2Header(MD2InputStream inputStream)`

Method Summary
`int` | `getEofOffset()`
`int` | `getFrameSize()`
`int` | `getGlCmdOffset()`
`java.lang.String` | `getIdp2()`
`int` | `getKeyframeOffset()`
`int` | `getNumGLCommands()`
`int` | `getNumKeyFrames()`
`int` | `getNumTexCoords()`
`int` | `getNumTextures()`
`int` | `getNumTriangles()`
`int` | `getNumVertices()`
`int` | `getTexHeight()`
`int` | `getTexOffset()`
`int` | `getTexWidth()`
`int` | `getTriangleOffset()`
`int` | `getUvOffset()`
`int` | `getVersion()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MD2Header

    public MD2Header(MD2InputStream inputStream)

Method Detail

### getEofOffset

    public int getEofOffset()

  Returns:
    the eofOffset

### getFrameSize

    public int getFrameSize()

  Returns:
    the frameSize

### getGlCmdOffset

    public int getGlCmdOffset()

  Returns:
    the glCmdOffset

### getIdp2

    public java.lang.String getIdp2()

  Returns:
    the idp2

### getKeyframeOffset

    public int getKeyframeOffset()

  Returns:
    the keyframeOffset

### getNumGLCommands

    public int getNumGLCommands()

  Returns:
    the numGLCommands

### getNumKeyFrames

    public int getNumKeyFrames()

  Returns:
    the numKeyframes

### getNumTexCoords

    public int getNumTexCoords()

  Returns:
    the numTexCoords

### getNumTextures

    public int getNumTextures()

  Returns:
    the numTextures

### getNumTriangles

    public int getNumTriangles()

  Returns:
    the numTriangles

### getNumVertices

    public int getNumVertices()

  Returns:
    the numVertices

### getTexHeight

    public int getTexHeight()

  Returns:
    the texHeight

### getTexOffset

    public int getTexOffset()

  Returns:
    the texOffset

### getTexWidth

    public int getTexWidth()

  Returns:
    the texWidth

### getTriangleOffset

    public int getTriangleOffset()

  Returns:
    the triangleOffset

### getUvOffset

    public int getUvOffset()

  Returns:
    the uvOffset

### getVersion

    public int getVersion()

  Returns:
    the version

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD